ur_rna.GUITester.ScriptParser

## Class JJTGuiTestScriptParserState

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.JJTGuiTestScriptParserState

-     public class JJTGuiTestScriptParserState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<java.lang.Integer>` | `marks`
    `private int` | `mk`
    `private boolean` | `node_created`
    `private java.util.List<Node>` | `nodes`
    `private int` | `sp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JJTGuiTestScriptParserState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearNodeScope(Node n)`
    `void` | `closeNodeScope(Node n, boolean condition)`
    `void` | `closeNodeScope(Node n, int num)`
    `int` | `nodeArity()`
    `boolean` | `nodeCreated()`
    `void` | `openNodeScope(Node n)`
    `Node` | `peekNode()`
    `Node` | `popNode()`
    `void` | `pushNode(Node n)`
    `void` | `reset()`
    `Node` | `rootNode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### marks

          private java.util.List<java.lang.Integer> marks

    - #### mk

          private int mk

    - #### node_created

          private boolean node_created

    - #### nodes

          private java.util.List<Node> nodes

    - #### sp

          private int sp

  - ### Constructor Detail

    - #### JJTGuiTestScriptParserState

          public JJTGuiTestScriptParserState()

  - ### Method Detail

    - #### clearNodeScope

          public void clearNodeScope(Node n)

    - #### closeNodeScope

          public void closeNodeScope(Node n,
                                     boolean condition)

    - #### closeNodeScope

          public void closeNodeScope(Node n,
                                     int num)

    - #### nodeArity

          public int nodeArity()

    - #### nodeCreated

          public boolean nodeCreated()

    - #### openNodeScope

          public void openNodeScope(Node n)

    - #### peekNode

          public Node peekNode()

    - #### popNode

          public Node popNode()

    - #### pushNode

          public void pushNode(Node n)

    - #### reset

          public void reset()

    - #### rootNode

          public Node rootNode()